Subject: RE: [Hipsec] Re: ESP draft snapshot 31.05.05

From: "Henderson, Thomas R" <[email-masked]>
Date: Wed, 1 Jun 2005 07:53:45 -0700

> -----Original Message-----
> From: Petri Jokela [mailto:[email-masked]] 
> Sent: Wednesday, June 01, 2005 5:17 AM
> To: Ahrenholz, Jeffrey M
> Cc: [email-masked]
> Subject: [Hipsec] Re: ESP draft snapshot 31.05.05
> 
> 
> Question: should the Keymat Index be something else than zero 
> during the
> base exchange? Basically, the Keymat Index points to the place where
> keys are drawn and in _this_ specification we are defining 
> ESP_INFO that
> is used to get the ESP SA established. We are not "interested" in HIP
> keys. Thus, the Keymat Index during the base exchange should point
> already to the point from where the ESP keys are drawn.
> 
> Of course, keeping the Keymat Index value zero during base exchange,
> does not break anything because we say that the ESP keys are 
> drawn after
> the HIP association keys.
> 

I had similar thoughts when reviewing it.  The only argument that I
could see for having it be zero is if it were burdensome to compute the
actual offset when ESP_INFO is created because possibly the HIP key
sizes are not known yet.  But I do not think such a case applies.  

So I would vote for keeping it consistent as you suggest-- even during
base exchange, it points to the right place to start drawing ESP keys
(not zero).

Tom

_______________________________________________
Hipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hipsec